<template>
  <profile :videos="videos" :user="user" />
</template>

<script>
export default {
  name: 'IndexProfile',
  layout: 'panel',
  head () {
    return {
      title: 'Profile'
    }
  },
  async asyncData ({ $axios }) {
    let videos = null
    let user = null
    const dados = await $axios.get('profile')
    if (dados.data) {
      videos = dados.data.videos
      user = dados.data.user
    }
    return { videos, user }
  },
  created () {
    this.setTitle()
  },
  methods: {
    setTitle () {
      this.$store.commit('config/setTitle', 'Profile')
    }
  }
}
</script>

<style>
</style>
